#include <iostream>
#include <list>

#include <arc/jobftpcontrol.h>
#include <arc/notify.h>

int main() {

	SetNotifyLevel(DEBUG);

	std::string rsl = "&(action=request)(arguments=\"/bin/echo\" \"Test\")";
	rsl += "(inputfiles=(\"test.dat\" \"\"))";

	std::map<std::string, std::string> files;
	files["jobftpcontrol.cpp"] = "test.dat";
	try {
		JobFTPControl job;
		URL url("gsiftp://quark.hep.lu.se:2811/jobs");
		std::string ID = job.Submit(url, rsl, files);
		std::cout << "Submitted job id: " << ID << std::endl;
	} catch (FTPControlError e) {
		std::cerr << "Caught exception: " <<  e.what() << std::endl;
	} catch (ARCLibError e) {
		std::cerr << "Caught general exception: " <<  e.what() << std::endl;
	}
}

