#include <iostream>
#include <list>

#include <arc/mdsquery.h>
#include <arc/notify.h>

int main() {

	SetNotifyLevel(DEBUG);

	URL url("ldap://quark.hep.lu.se:2135");

	Cluster clusterinfo;
	try {
		clusterinfo = GetClusterInfo(url);
	} catch(ARCLibError e) {
		std::cout << e.what() << std::endl;
	}

	std::cout << "ClusterInfo for " << url.Host() << " :" << std::endl;
	std::cout << "Alias: " << clusterinfo.alias << std::endl;
	std::cout << "Location: " << clusterinfo.location << std::endl;
	std::cout << "CPU's: " << clusterinfo.total_cpus << std::endl;
	std::cout << "Number of queues: " << clusterinfo.queues.size() << std::endl;
	std::cout << "Info valid to: " << clusterinfo.mds_validto << std::endl;

}
