#include "identity.h"

// ------ Identity ---------------
Identity::Item Identity::empty_;

Identity::Identity(void) { }

Identity::Identity(const Identity& t) {
  for(list<Item*>::const_iterator i = t.items_.begin();i!=t.items_.end();++i) {
    add(*i);    
  };
}

Identity::~Identity(void) {
  for(list<Item*>::iterator i = items_.begin();i!=items_.end();++i) {
    if(*i) delete *i;
  };
}

Identity::Item* Identity::add(const Identity::Item* t) {
  if(!t) return NULL;
  return *(items_.insert(items_.end(),t->duplicate()));
}

Identity::Item* Identity::use(Identity::Item* t) {
  if(!t) return NULL;
  return *(items_.insert(items_.end(),t));
}

Identity::Item* Identity::operator[](unsigned int n) {
  if(n>=items_.size()) return NULL;
  list<Item*>::iterator i = items_.begin();
  for(;n,i!=items_.end();--n,++i){};
  return *i;
}

// ------ Identity::Item ---------------
string Identity::Item::empty_("");

Identity::Item::Item(void):type_("") { }

Identity::Item::~Item(void) { }

Identity::Item* Identity::Item::duplicate(void) const {
  return new Identity::Item;
}

const string& Identity::Item::name(unsigned int n) {
  return empty_;
}

const string& Identity::Item::value(unsigned int n) {
  return empty_;
}

const string& Identity::Item::value(const char* name,unsigned int n) {
  return empty_;
}

string Identity::Item::str(void) {
  string v;
  for(int n = 0;;n++) {
    const string& s = name(n);
    if(s.length() == 0) break;
    v+="/"+s+"="+value(n);
  };
}

