#ifndef __ARC_IDENTITY_H__
#define __ARC_IDENTITY_H__

#include "../std.h"

#include <string>
#include <list>

class Identity {
 public:
  class Item {
   protected:
    string type_;
    static string empty_;
   public:
    Item(void);
    virtual ~Item(void);
    const string& type(void) { return type_; };
    virtual Item* duplicate(void) const;
    virtual const string& name(unsigned int n);
    virtual const string& value(unsigned int n);
    virtual const string& value(const char* name,unsigned int n);
    virtual string str(void);
  };
 protected:
  list<Item*> items_;
  static Item empty_;
 public:
  Identity(void);
  Identity(const Identity&);
  virtual ~Identity(void);
  Item* add(const Item* t);
  Item* use(Item* t);
  Item* operator[](unsigned int n);
};

#endif // __ARC_IDENTITY_H__
